IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2c19:dd:ec00:c25:1500::/72- First address
2c19:dd:ec00:c25:1500::- Last address
2c19:dd:ec00:c25:15ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ec00:0c25:1500:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
5.1.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:c25:1500::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:c25:1500::/80 | 2c19:dd:ec00:c25:1500:ffff:ffff:ffff |
| 2 | 2c19:dd:ec00:c25:1501::/80 | 2c19:dd:ec00:c25:1501:ffff:ffff:ffff |
| 3 | 2c19:dd:ec00:c25:1502::/80 | 2c19:dd:ec00:c25:1502:ffff:ffff:ffff |
| 4 | 2c19:dd:ec00:c25:1503::/80 | 2c19:dd:ec00:c25:1503:ffff:ffff:ffff |
| 5 | 2c19:dd:ec00:c25:1504::/80 | 2c19:dd:ec00:c25:1504:ffff:ffff:ffff |
| 6 | 2c19:dd:ec00:c25:1505::/80 | 2c19:dd:ec00:c25:1505:ffff:ffff:ffff |
| 7 | 2c19:dd:ec00:c25:1506::/80 | 2c19:dd:ec00:c25:1506:ffff:ffff:ffff |
| 8 | 2c19:dd:ec00:c25:1507::/80 | 2c19:dd:ec00:c25:1507:ffff:ffff:ffff |
| 9 | 2c19:dd:ec00:c25:1508::/80 | 2c19:dd:ec00:c25:1508:ffff:ffff:ffff |
| 10 | 2c19:dd:ec00:c25:1509::/80 | 2c19:dd:ec00:c25:1509:ffff:ffff:ffff |
| 11 | 2c19:dd:ec00:c25:150a::/80 | 2c19:dd:ec00:c25:150a:ffff:ffff:ffff |
| 12 | 2c19:dd:ec00:c25:150b::/80 | 2c19:dd:ec00:c25:150b:ffff:ffff:ffff |
| 13 | 2c19:dd:ec00:c25:150c::/80 | 2c19:dd:ec00:c25:150c:ffff:ffff:ffff |
| 14 | 2c19:dd:ec00:c25:150d::/80 | 2c19:dd:ec00:c25:150d:ffff:ffff:ffff |
| 15 | 2c19:dd:ec00:c25:150e::/80 | 2c19:dd:ec00:c25:150e:ffff:ffff:ffff |
| 16 | 2c19:dd:ec00:c25:150f::/80 | 2c19:dd:ec00:c25:150f:ffff:ffff:ffff |
| 17 | 2c19:dd:ec00:c25:1510::/80 | 2c19:dd:ec00:c25:1510:ffff:ffff:ffff |
| 18 | 2c19:dd:ec00:c25:1511::/80 | 2c19:dd:ec00:c25:1511:ffff:ffff:ffff |
| 19 | 2c19:dd:ec00:c25:1512::/80 | 2c19:dd:ec00:c25:1512:ffff:ffff:ffff |
| 20 | 2c19:dd:ec00:c25:1513::/80 | 2c19:dd:ec00:c25:1513:ffff:ffff:ffff |
| 21 | 2c19:dd:ec00:c25:1514::/80 | 2c19:dd:ec00:c25:1514:ffff:ffff:ffff |
| 22 | 2c19:dd:ec00:c25:1515::/80 | 2c19:dd:ec00:c25:1515:ffff:ffff:ffff |
| 23 | 2c19:dd:ec00:c25:1516::/80 | 2c19:dd:ec00:c25:1516:ffff:ffff:ffff |
| 24 | 2c19:dd:ec00:c25:1517::/80 | 2c19:dd:ec00:c25:1517:ffff:ffff:ffff |
| 25 | 2c19:dd:ec00:c25:1518::/80 | 2c19:dd:ec00:c25:1518:ffff:ffff:ffff |
| 26 | 2c19:dd:ec00:c25:1519::/80 | 2c19:dd:ec00:c25:1519:ffff:ffff:ffff |
| 27 | 2c19:dd:ec00:c25:151a::/80 | 2c19:dd:ec00:c25:151a:ffff:ffff:ffff |
| 28 | 2c19:dd:ec00:c25:151b::/80 | 2c19:dd:ec00:c25:151b:ffff:ffff:ffff |
| 29 | 2c19:dd:ec00:c25:151c::/80 | 2c19:dd:ec00:c25:151c:ffff:ffff:ffff |
| 30 | 2c19:dd:ec00:c25:151d::/80 | 2c19:dd:ec00:c25:151d:ffff:ffff:ffff |
| 31 | 2c19:dd:ec00:c25:151e::/80 | 2c19:dd:ec00:c25:151e:ffff:ffff:ffff |
| 32 | 2c19:dd:ec00:c25:151f::/80 | 2c19:dd:ec00:c25:151f:ffff:ffff:ffff |
| 33 | 2c19:dd:ec00:c25:1520::/80 | 2c19:dd:ec00:c25:1520:ffff:ffff:ffff |
| 34 | 2c19:dd:ec00:c25:1521::/80 | 2c19:dd:ec00:c25:1521:ffff:ffff:ffff |
| 35 | 2c19:dd:ec00:c25:1522::/80 | 2c19:dd:ec00:c25:1522:ffff:ffff:ffff |
| 36 | 2c19:dd:ec00:c25:1523::/80 | 2c19:dd:ec00:c25:1523:ffff:ffff:ffff |
| 37 | 2c19:dd:ec00:c25:1524::/80 | 2c19:dd:ec00:c25:1524:ffff:ffff:ffff |
| 38 | 2c19:dd:ec00:c25:1525::/80 | 2c19:dd:ec00:c25:1525:ffff:ffff:ffff |
| 39 | 2c19:dd:ec00:c25:1526::/80 | 2c19:dd:ec00:c25:1526:ffff:ffff:ffff |
| 40 | 2c19:dd:ec00:c25:1527::/80 | 2c19:dd:ec00:c25:1527:ffff:ffff:ffff |
| 41 | 2c19:dd:ec00:c25:1528::/80 | 2c19:dd:ec00:c25:1528:ffff:ffff:ffff |
| 42 | 2c19:dd:ec00:c25:1529::/80 | 2c19:dd:ec00:c25:1529:ffff:ffff:ffff |
| 43 | 2c19:dd:ec00:c25:152a::/80 | 2c19:dd:ec00:c25:152a:ffff:ffff:ffff |
| 44 | 2c19:dd:ec00:c25:152b::/80 | 2c19:dd:ec00:c25:152b:ffff:ffff:ffff |
| 45 | 2c19:dd:ec00:c25:152c::/80 | 2c19:dd:ec00:c25:152c:ffff:ffff:ffff |
| 46 | 2c19:dd:ec00:c25:152d::/80 | 2c19:dd:ec00:c25:152d:ffff:ffff:ffff |
| 47 | 2c19:dd:ec00:c25:152e::/80 | 2c19:dd:ec00:c25:152e:ffff:ffff:ffff |
| 48 | 2c19:dd:ec00:c25:152f::/80 | 2c19:dd:ec00:c25:152f:ffff:ffff:ffff |
| 49 | 2c19:dd:ec00:c25:1530::/80 | 2c19:dd:ec00:c25:1530:ffff:ffff:ffff |
| 50 | 2c19:dd:ec00:c25:1531::/80 | 2c19:dd:ec00:c25:1531:ffff:ffff:ffff |
| 51 | 2c19:dd:ec00:c25:1532::/80 | 2c19:dd:ec00:c25:1532:ffff:ffff:ffff |
| 52 | 2c19:dd:ec00:c25:1533::/80 | 2c19:dd:ec00:c25:1533:ffff:ffff:ffff |
| 53 | 2c19:dd:ec00:c25:1534::/80 | 2c19:dd:ec00:c25:1534:ffff:ffff:ffff |
| 54 | 2c19:dd:ec00:c25:1535::/80 | 2c19:dd:ec00:c25:1535:ffff:ffff:ffff |
| 55 | 2c19:dd:ec00:c25:1536::/80 | 2c19:dd:ec00:c25:1536:ffff:ffff:ffff |
| 56 | 2c19:dd:ec00:c25:1537::/80 | 2c19:dd:ec00:c25:1537:ffff:ffff:ffff |
| 57 | 2c19:dd:ec00:c25:1538::/80 | 2c19:dd:ec00:c25:1538:ffff:ffff:ffff |
| 58 | 2c19:dd:ec00:c25:1539::/80 | 2c19:dd:ec00:c25:1539:ffff:ffff:ffff |
| 59 | 2c19:dd:ec00:c25:153a::/80 | 2c19:dd:ec00:c25:153a:ffff:ffff:ffff |
| 60 | 2c19:dd:ec00:c25:153b::/80 | 2c19:dd:ec00:c25:153b:ffff:ffff:ffff |
| 61 | 2c19:dd:ec00:c25:153c::/80 | 2c19:dd:ec00:c25:153c:ffff:ffff:ffff |
| 62 | 2c19:dd:ec00:c25:153d::/80 | 2c19:dd:ec00:c25:153d:ffff:ffff:ffff |
| 63 | 2c19:dd:ec00:c25:153e::/80 | 2c19:dd:ec00:c25:153e:ffff:ffff:ffff |
| 64 | 2c19:dd:ec00:c25:153f::/80 | 2c19:dd:ec00:c25:153f:ffff:ffff:ffff |
| 65 | 2c19:dd:ec00:c25:1540::/80 | 2c19:dd:ec00:c25:1540:ffff:ffff:ffff |
| 66 | 2c19:dd:ec00:c25:1541::/80 | 2c19:dd:ec00:c25:1541:ffff:ffff:ffff |
| 67 | 2c19:dd:ec00:c25:1542::/80 | 2c19:dd:ec00:c25:1542:ffff:ffff:ffff |
| 68 | 2c19:dd:ec00:c25:1543::/80 | 2c19:dd:ec00:c25:1543:ffff:ffff:ffff |
| 69 | 2c19:dd:ec00:c25:1544::/80 | 2c19:dd:ec00:c25:1544:ffff:ffff:ffff |
| 70 | 2c19:dd:ec00:c25:1545::/80 | 2c19:dd:ec00:c25:1545:ffff:ffff:ffff |
| 71 | 2c19:dd:ec00:c25:1546::/80 | 2c19:dd:ec00:c25:1546:ffff:ffff:ffff |
| 72 | 2c19:dd:ec00:c25:1547::/80 | 2c19:dd:ec00:c25:1547:ffff:ffff:ffff |
| 73 | 2c19:dd:ec00:c25:1548::/80 | 2c19:dd:ec00:c25:1548:ffff:ffff:ffff |
| 74 | 2c19:dd:ec00:c25:1549::/80 | 2c19:dd:ec00:c25:1549:ffff:ffff:ffff |
| 75 | 2c19:dd:ec00:c25:154a::/80 | 2c19:dd:ec00:c25:154a:ffff:ffff:ffff |
| 76 | 2c19:dd:ec00:c25:154b::/80 | 2c19:dd:ec00:c25:154b:ffff:ffff:ffff |
| 77 | 2c19:dd:ec00:c25:154c::/80 | 2c19:dd:ec00:c25:154c:ffff:ffff:ffff |
| 78 | 2c19:dd:ec00:c25:154d::/80 | 2c19:dd:ec00:c25:154d:ffff:ffff:ffff |
| 79 | 2c19:dd:ec00:c25:154e::/80 | 2c19:dd:ec00:c25:154e:ffff:ffff:ffff |
| 80 | 2c19:dd:ec00:c25:154f::/80 | 2c19:dd:ec00:c25:154f:ffff:ffff:ffff |
| 81 | 2c19:dd:ec00:c25:1550::/80 | 2c19:dd:ec00:c25:1550:ffff:ffff:ffff |
| 82 | 2c19:dd:ec00:c25:1551::/80 | 2c19:dd:ec00:c25:1551:ffff:ffff:ffff |
| 83 | 2c19:dd:ec00:c25:1552::/80 | 2c19:dd:ec00:c25:1552:ffff:ffff:ffff |
| 84 | 2c19:dd:ec00:c25:1553::/80 | 2c19:dd:ec00:c25:1553:ffff:ffff:ffff |
| 85 | 2c19:dd:ec00:c25:1554::/80 | 2c19:dd:ec00:c25:1554:ffff:ffff:ffff |
| 86 | 2c19:dd:ec00:c25:1555::/80 | 2c19:dd:ec00:c25:1555:ffff:ffff:ffff |
| 87 | 2c19:dd:ec00:c25:1556::/80 | 2c19:dd:ec00:c25:1556:ffff:ffff:ffff |
| 88 | 2c19:dd:ec00:c25:1557::/80 | 2c19:dd:ec00:c25:1557:ffff:ffff:ffff |
| 89 | 2c19:dd:ec00:c25:1558::/80 | 2c19:dd:ec00:c25:1558:ffff:ffff:ffff |
| 90 | 2c19:dd:ec00:c25:1559::/80 | 2c19:dd:ec00:c25:1559:ffff:ffff:ffff |
| 91 | 2c19:dd:ec00:c25:155a::/80 | 2c19:dd:ec00:c25:155a:ffff:ffff:ffff |
| 92 | 2c19:dd:ec00:c25:155b::/80 | 2c19:dd:ec00:c25:155b:ffff:ffff:ffff |
| 93 | 2c19:dd:ec00:c25:155c::/80 | 2c19:dd:ec00:c25:155c:ffff:ffff:ffff |
| 94 | 2c19:dd:ec00:c25:155d::/80 | 2c19:dd:ec00:c25:155d:ffff:ffff:ffff |
| 95 | 2c19:dd:ec00:c25:155e::/80 | 2c19:dd:ec00:c25:155e:ffff:ffff:ffff |
| 96 | 2c19:dd:ec00:c25:155f::/80 | 2c19:dd:ec00:c25:155f:ffff:ffff:ffff |
| 97 | 2c19:dd:ec00:c25:1560::/80 | 2c19:dd:ec00:c25:1560:ffff:ffff:ffff |
| 98 | 2c19:dd:ec00:c25:1561::/80 | 2c19:dd:ec00:c25:1561:ffff:ffff:ffff |
| 99 | 2c19:dd:ec00:c25:1562::/80 | 2c19:dd:ec00:c25:1562:ffff:ffff:ffff |
| 100 | 2c19:dd:ec00:c25:1563::/80 | 2c19:dd:ec00:c25:1563:ffff:ffff:ffff |
| 101 | 2c19:dd:ec00:c25:1564::/80 | 2c19:dd:ec00:c25:1564:ffff:ffff:ffff |
| 102 | 2c19:dd:ec00:c25:1565::/80 | 2c19:dd:ec00:c25:1565:ffff:ffff:ffff |
| 103 | 2c19:dd:ec00:c25:1566::/80 | 2c19:dd:ec00:c25:1566:ffff:ffff:ffff |
| 104 | 2c19:dd:ec00:c25:1567::/80 | 2c19:dd:ec00:c25:1567:ffff:ffff:ffff |
| 105 | 2c19:dd:ec00:c25:1568::/80 | 2c19:dd:ec00:c25:1568:ffff:ffff:ffff |
| 106 | 2c19:dd:ec00:c25:1569::/80 | 2c19:dd:ec00:c25:1569:ffff:ffff:ffff |
| 107 | 2c19:dd:ec00:c25:156a::/80 | 2c19:dd:ec00:c25:156a:ffff:ffff:ffff |
| 108 | 2c19:dd:ec00:c25:156b::/80 | 2c19:dd:ec00:c25:156b:ffff:ffff:ffff |
| 109 | 2c19:dd:ec00:c25:156c::/80 | 2c19:dd:ec00:c25:156c:ffff:ffff:ffff |
| 110 | 2c19:dd:ec00:c25:156d::/80 | 2c19:dd:ec00:c25:156d:ffff:ffff:ffff |
| 111 | 2c19:dd:ec00:c25:156e::/80 | 2c19:dd:ec00:c25:156e:ffff:ffff:ffff |
| 112 | 2c19:dd:ec00:c25:156f::/80 | 2c19:dd:ec00:c25:156f:ffff:ffff:ffff |
| 113 | 2c19:dd:ec00:c25:1570::/80 | 2c19:dd:ec00:c25:1570:ffff:ffff:ffff |
| 114 | 2c19:dd:ec00:c25:1571::/80 | 2c19:dd:ec00:c25:1571:ffff:ffff:ffff |
| 115 | 2c19:dd:ec00:c25:1572::/80 | 2c19:dd:ec00:c25:1572:ffff:ffff:ffff |
| 116 | 2c19:dd:ec00:c25:1573::/80 | 2c19:dd:ec00:c25:1573:ffff:ffff:ffff |
| 117 | 2c19:dd:ec00:c25:1574::/80 | 2c19:dd:ec00:c25:1574:ffff:ffff:ffff |
| 118 | 2c19:dd:ec00:c25:1575::/80 | 2c19:dd:ec00:c25:1575:ffff:ffff:ffff |
| 119 | 2c19:dd:ec00:c25:1576::/80 | 2c19:dd:ec00:c25:1576:ffff:ffff:ffff |
| 120 | 2c19:dd:ec00:c25:1577::/80 | 2c19:dd:ec00:c25:1577:ffff:ffff:ffff |
| 121 | 2c19:dd:ec00:c25:1578::/80 | 2c19:dd:ec00:c25:1578:ffff:ffff:ffff |
| 122 | 2c19:dd:ec00:c25:1579::/80 | 2c19:dd:ec00:c25:1579:ffff:ffff:ffff |
| 123 | 2c19:dd:ec00:c25:157a::/80 | 2c19:dd:ec00:c25:157a:ffff:ffff:ffff |
| 124 | 2c19:dd:ec00:c25:157b::/80 | 2c19:dd:ec00:c25:157b:ffff:ffff:ffff |
| 125 | 2c19:dd:ec00:c25:157c::/80 | 2c19:dd:ec00:c25:157c:ffff:ffff:ffff |
| 126 | 2c19:dd:ec00:c25:157d::/80 | 2c19:dd:ec00:c25:157d:ffff:ffff:ffff |
| 127 | 2c19:dd:ec00:c25:157e::/80 | 2c19:dd:ec00:c25:157e:ffff:ffff:ffff |
| 128 | 2c19:dd:ec00:c25:157f::/80 | 2c19:dd:ec00:c25:157f:ffff:ffff:ffff |
| 129 | 2c19:dd:ec00:c25:1580::/80 | 2c19:dd:ec00:c25:1580:ffff:ffff:ffff |
| 130 | 2c19:dd:ec00:c25:1581::/80 | 2c19:dd:ec00:c25:1581:ffff:ffff:ffff |
| 131 | 2c19:dd:ec00:c25:1582::/80 | 2c19:dd:ec00:c25:1582:ffff:ffff:ffff |
| 132 | 2c19:dd:ec00:c25:1583::/80 | 2c19:dd:ec00:c25:1583:ffff:ffff:ffff |
| 133 | 2c19:dd:ec00:c25:1584::/80 | 2c19:dd:ec00:c25:1584:ffff:ffff:ffff |
| 134 | 2c19:dd:ec00:c25:1585::/80 | 2c19:dd:ec00:c25:1585:ffff:ffff:ffff |
| 135 | 2c19:dd:ec00:c25:1586::/80 | 2c19:dd:ec00:c25:1586:ffff:ffff:ffff |
| 136 | 2c19:dd:ec00:c25:1587::/80 | 2c19:dd:ec00:c25:1587:ffff:ffff:ffff |
| 137 | 2c19:dd:ec00:c25:1588::/80 | 2c19:dd:ec00:c25:1588:ffff:ffff:ffff |
| 138 | 2c19:dd:ec00:c25:1589::/80 | 2c19:dd:ec00:c25:1589:ffff:ffff:ffff |
| 139 | 2c19:dd:ec00:c25:158a::/80 | 2c19:dd:ec00:c25:158a:ffff:ffff:ffff |
| 140 | 2c19:dd:ec00:c25:158b::/80 | 2c19:dd:ec00:c25:158b:ffff:ffff:ffff |
| 141 | 2c19:dd:ec00:c25:158c::/80 | 2c19:dd:ec00:c25:158c:ffff:ffff:ffff |
| 142 | 2c19:dd:ec00:c25:158d::/80 | 2c19:dd:ec00:c25:158d:ffff:ffff:ffff |
| 143 | 2c19:dd:ec00:c25:158e::/80 | 2c19:dd:ec00:c25:158e:ffff:ffff:ffff |
| 144 | 2c19:dd:ec00:c25:158f::/80 | 2c19:dd:ec00:c25:158f:ffff:ffff:ffff |
| 145 | 2c19:dd:ec00:c25:1590::/80 | 2c19:dd:ec00:c25:1590:ffff:ffff:ffff |
| 146 | 2c19:dd:ec00:c25:1591::/80 | 2c19:dd:ec00:c25:1591:ffff:ffff:ffff |
| 147 | 2c19:dd:ec00:c25:1592::/80 | 2c19:dd:ec00:c25:1592:ffff:ffff:ffff |
| 148 | 2c19:dd:ec00:c25:1593::/80 | 2c19:dd:ec00:c25:1593:ffff:ffff:ffff |
| 149 | 2c19:dd:ec00:c25:1594::/80 | 2c19:dd:ec00:c25:1594:ffff:ffff:ffff |
| 150 | 2c19:dd:ec00:c25:1595::/80 | 2c19:dd:ec00:c25:1595:ffff:ffff:ffff |
| 151 | 2c19:dd:ec00:c25:1596::/80 | 2c19:dd:ec00:c25:1596:ffff:ffff:ffff |
| 152 | 2c19:dd:ec00:c25:1597::/80 | 2c19:dd:ec00:c25:1597:ffff:ffff:ffff |
| 153 | 2c19:dd:ec00:c25:1598::/80 | 2c19:dd:ec00:c25:1598:ffff:ffff:ffff |
| 154 | 2c19:dd:ec00:c25:1599::/80 | 2c19:dd:ec00:c25:1599:ffff:ffff:ffff |
| 155 | 2c19:dd:ec00:c25:159a::/80 | 2c19:dd:ec00:c25:159a:ffff:ffff:ffff |
| 156 | 2c19:dd:ec00:c25:159b::/80 | 2c19:dd:ec00:c25:159b:ffff:ffff:ffff |
| 157 | 2c19:dd:ec00:c25:159c::/80 | 2c19:dd:ec00:c25:159c:ffff:ffff:ffff |
| 158 | 2c19:dd:ec00:c25:159d::/80 | 2c19:dd:ec00:c25:159d:ffff:ffff:ffff |
| 159 | 2c19:dd:ec00:c25:159e::/80 | 2c19:dd:ec00:c25:159e:ffff:ffff:ffff |
| 160 | 2c19:dd:ec00:c25:159f::/80 | 2c19:dd:ec00:c25:159f:ffff:ffff:ffff |
| 161 | 2c19:dd:ec00:c25:15a0::/80 | 2c19:dd:ec00:c25:15a0:ffff:ffff:ffff |
| 162 | 2c19:dd:ec00:c25:15a1::/80 | 2c19:dd:ec00:c25:15a1:ffff:ffff:ffff |
| 163 | 2c19:dd:ec00:c25:15a2::/80 | 2c19:dd:ec00:c25:15a2:ffff:ffff:ffff |
| 164 | 2c19:dd:ec00:c25:15a3::/80 | 2c19:dd:ec00:c25:15a3:ffff:ffff:ffff |
| 165 | 2c19:dd:ec00:c25:15a4::/80 | 2c19:dd:ec00:c25:15a4:ffff:ffff:ffff |
| 166 | 2c19:dd:ec00:c25:15a5::/80 | 2c19:dd:ec00:c25:15a5:ffff:ffff:ffff |
| 167 | 2c19:dd:ec00:c25:15a6::/80 | 2c19:dd:ec00:c25:15a6:ffff:ffff:ffff |
| 168 | 2c19:dd:ec00:c25:15a7::/80 | 2c19:dd:ec00:c25:15a7:ffff:ffff:ffff |
| 169 | 2c19:dd:ec00:c25:15a8::/80 | 2c19:dd:ec00:c25:15a8:ffff:ffff:ffff |
| 170 | 2c19:dd:ec00:c25:15a9::/80 | 2c19:dd:ec00:c25:15a9:ffff:ffff:ffff |
| 171 | 2c19:dd:ec00:c25:15aa::/80 | 2c19:dd:ec00:c25:15aa:ffff:ffff:ffff |
| 172 | 2c19:dd:ec00:c25:15ab::/80 | 2c19:dd:ec00:c25:15ab:ffff:ffff:ffff |
| 173 | 2c19:dd:ec00:c25:15ac::/80 | 2c19:dd:ec00:c25:15ac:ffff:ffff:ffff |
| 174 | 2c19:dd:ec00:c25:15ad::/80 | 2c19:dd:ec00:c25:15ad:ffff:ffff:ffff |
| 175 | 2c19:dd:ec00:c25:15ae::/80 | 2c19:dd:ec00:c25:15ae:ffff:ffff:ffff |
| 176 | 2c19:dd:ec00:c25:15af::/80 | 2c19:dd:ec00:c25:15af:ffff:ffff:ffff |
| 177 | 2c19:dd:ec00:c25:15b0::/80 | 2c19:dd:ec00:c25:15b0:ffff:ffff:ffff |
| 178 | 2c19:dd:ec00:c25:15b1::/80 | 2c19:dd:ec00:c25:15b1:ffff:ffff:ffff |
| 179 | 2c19:dd:ec00:c25:15b2::/80 | 2c19:dd:ec00:c25:15b2:ffff:ffff:ffff |
| 180 | 2c19:dd:ec00:c25:15b3::/80 | 2c19:dd:ec00:c25:15b3:ffff:ffff:ffff |
| 181 | 2c19:dd:ec00:c25:15b4::/80 | 2c19:dd:ec00:c25:15b4:ffff:ffff:ffff |
| 182 | 2c19:dd:ec00:c25:15b5::/80 | 2c19:dd:ec00:c25:15b5:ffff:ffff:ffff |
| 183 | 2c19:dd:ec00:c25:15b6::/80 | 2c19:dd:ec00:c25:15b6:ffff:ffff:ffff |
| 184 | 2c19:dd:ec00:c25:15b7::/80 | 2c19:dd:ec00:c25:15b7:ffff:ffff:ffff |
| 185 | 2c19:dd:ec00:c25:15b8::/80 | 2c19:dd:ec00:c25:15b8:ffff:ffff:ffff |
| 186 | 2c19:dd:ec00:c25:15b9::/80 | 2c19:dd:ec00:c25:15b9:ffff:ffff:ffff |
| 187 | 2c19:dd:ec00:c25:15ba::/80 | 2c19:dd:ec00:c25:15ba:ffff:ffff:ffff |
| 188 | 2c19:dd:ec00:c25:15bb::/80 | 2c19:dd:ec00:c25:15bb:ffff:ffff:ffff |
| 189 | 2c19:dd:ec00:c25:15bc::/80 | 2c19:dd:ec00:c25:15bc:ffff:ffff:ffff |
| 190 | 2c19:dd:ec00:c25:15bd::/80 | 2c19:dd:ec00:c25:15bd:ffff:ffff:ffff |
| 191 | 2c19:dd:ec00:c25:15be::/80 | 2c19:dd:ec00:c25:15be:ffff:ffff:ffff |
| 192 | 2c19:dd:ec00:c25:15bf::/80 | 2c19:dd:ec00:c25:15bf:ffff:ffff:ffff |
| 193 | 2c19:dd:ec00:c25:15c0::/80 | 2c19:dd:ec00:c25:15c0:ffff:ffff:ffff |
| 194 | 2c19:dd:ec00:c25:15c1::/80 | 2c19:dd:ec00:c25:15c1:ffff:ffff:ffff |
| 195 | 2c19:dd:ec00:c25:15c2::/80 | 2c19:dd:ec00:c25:15c2:ffff:ffff:ffff |
| 196 | 2c19:dd:ec00:c25:15c3::/80 | 2c19:dd:ec00:c25:15c3:ffff:ffff:ffff |
| 197 | 2c19:dd:ec00:c25:15c4::/80 | 2c19:dd:ec00:c25:15c4:ffff:ffff:ffff |
| 198 | 2c19:dd:ec00:c25:15c5::/80 | 2c19:dd:ec00:c25:15c5:ffff:ffff:ffff |
| 199 | 2c19:dd:ec00:c25:15c6::/80 | 2c19:dd:ec00:c25:15c6:ffff:ffff:ffff |
| 200 | 2c19:dd:ec00:c25:15c7::/80 | 2c19:dd:ec00:c25:15c7:ffff:ffff:ffff |
| 201 | 2c19:dd:ec00:c25:15c8::/80 | 2c19:dd:ec00:c25:15c8:ffff:ffff:ffff |
| 202 | 2c19:dd:ec00:c25:15c9::/80 | 2c19:dd:ec00:c25:15c9:ffff:ffff:ffff |
| 203 | 2c19:dd:ec00:c25:15ca::/80 | 2c19:dd:ec00:c25:15ca:ffff:ffff:ffff |
| 204 | 2c19:dd:ec00:c25:15cb::/80 | 2c19:dd:ec00:c25:15cb:ffff:ffff:ffff |
| 205 | 2c19:dd:ec00:c25:15cc::/80 | 2c19:dd:ec00:c25:15cc:ffff:ffff:ffff |
| 206 | 2c19:dd:ec00:c25:15cd::/80 | 2c19:dd:ec00:c25:15cd:ffff:ffff:ffff |
| 207 | 2c19:dd:ec00:c25:15ce::/80 | 2c19:dd:ec00:c25:15ce:ffff:ffff:ffff |
| 208 | 2c19:dd:ec00:c25:15cf::/80 | 2c19:dd:ec00:c25:15cf:ffff:ffff:ffff |
| 209 | 2c19:dd:ec00:c25:15d0::/80 | 2c19:dd:ec00:c25:15d0:ffff:ffff:ffff |
| 210 | 2c19:dd:ec00:c25:15d1::/80 | 2c19:dd:ec00:c25:15d1:ffff:ffff:ffff |
| 211 | 2c19:dd:ec00:c25:15d2::/80 | 2c19:dd:ec00:c25:15d2:ffff:ffff:ffff |
| 212 | 2c19:dd:ec00:c25:15d3::/80 | 2c19:dd:ec00:c25:15d3:ffff:ffff:ffff |
| 213 | 2c19:dd:ec00:c25:15d4::/80 | 2c19:dd:ec00:c25:15d4:ffff:ffff:ffff |
| 214 | 2c19:dd:ec00:c25:15d5::/80 | 2c19:dd:ec00:c25:15d5:ffff:ffff:ffff |
| 215 | 2c19:dd:ec00:c25:15d6::/80 | 2c19:dd:ec00:c25:15d6:ffff:ffff:ffff |
| 216 | 2c19:dd:ec00:c25:15d7::/80 | 2c19:dd:ec00:c25:15d7:ffff:ffff:ffff |
| 217 | 2c19:dd:ec00:c25:15d8::/80 | 2c19:dd:ec00:c25:15d8:ffff:ffff:ffff |
| 218 | 2c19:dd:ec00:c25:15d9::/80 | 2c19:dd:ec00:c25:15d9:ffff:ffff:ffff |
| 219 | 2c19:dd:ec00:c25:15da::/80 | 2c19:dd:ec00:c25:15da:ffff:ffff:ffff |
| 220 | 2c19:dd:ec00:c25:15db::/80 | 2c19:dd:ec00:c25:15db:ffff:ffff:ffff |
| 221 | 2c19:dd:ec00:c25:15dc::/80 | 2c19:dd:ec00:c25:15dc:ffff:ffff:ffff |
| 222 | 2c19:dd:ec00:c25:15dd::/80 | 2c19:dd:ec00:c25:15dd:ffff:ffff:ffff |
| 223 | 2c19:dd:ec00:c25:15de::/80 | 2c19:dd:ec00:c25:15de:ffff:ffff:ffff |
| 224 | 2c19:dd:ec00:c25:15df::/80 | 2c19:dd:ec00:c25:15df:ffff:ffff:ffff |
| 225 | 2c19:dd:ec00:c25:15e0::/80 | 2c19:dd:ec00:c25:15e0:ffff:ffff:ffff |
| 226 | 2c19:dd:ec00:c25:15e1::/80 | 2c19:dd:ec00:c25:15e1:ffff:ffff:ffff |
| 227 | 2c19:dd:ec00:c25:15e2::/80 | 2c19:dd:ec00:c25:15e2:ffff:ffff:ffff |
| 228 | 2c19:dd:ec00:c25:15e3::/80 | 2c19:dd:ec00:c25:15e3:ffff:ffff:ffff |
| 229 | 2c19:dd:ec00:c25:15e4::/80 | 2c19:dd:ec00:c25:15e4:ffff:ffff:ffff |
| 230 | 2c19:dd:ec00:c25:15e5::/80 | 2c19:dd:ec00:c25:15e5:ffff:ffff:ffff |
| 231 | 2c19:dd:ec00:c25:15e6::/80 | 2c19:dd:ec00:c25:15e6:ffff:ffff:ffff |
| 232 | 2c19:dd:ec00:c25:15e7::/80 | 2c19:dd:ec00:c25:15e7:ffff:ffff:ffff |
| 233 | 2c19:dd:ec00:c25:15e8::/80 | 2c19:dd:ec00:c25:15e8:ffff:ffff:ffff |
| 234 | 2c19:dd:ec00:c25:15e9::/80 | 2c19:dd:ec00:c25:15e9:ffff:ffff:ffff |
| 235 | 2c19:dd:ec00:c25:15ea::/80 | 2c19:dd:ec00:c25:15ea:ffff:ffff:ffff |
| 236 | 2c19:dd:ec00:c25:15eb::/80 | 2c19:dd:ec00:c25:15eb:ffff:ffff:ffff |
| 237 | 2c19:dd:ec00:c25:15ec::/80 | 2c19:dd:ec00:c25:15ec:ffff:ffff:ffff |
| 238 | 2c19:dd:ec00:c25:15ed::/80 | 2c19:dd:ec00:c25:15ed:ffff:ffff:ffff |
| 239 | 2c19:dd:ec00:c25:15ee::/80 | 2c19:dd:ec00:c25:15ee:ffff:ffff:ffff |
| 240 | 2c19:dd:ec00:c25:15ef::/80 | 2c19:dd:ec00:c25:15ef:ffff:ffff:ffff |
| 241 | 2c19:dd:ec00:c25:15f0::/80 | 2c19:dd:ec00:c25:15f0:ffff:ffff:ffff |
| 242 | 2c19:dd:ec00:c25:15f1::/80 | 2c19:dd:ec00:c25:15f1:ffff:ffff:ffff |
| 243 | 2c19:dd:ec00:c25:15f2::/80 | 2c19:dd:ec00:c25:15f2:ffff:ffff:ffff |
| 244 | 2c19:dd:ec00:c25:15f3::/80 | 2c19:dd:ec00:c25:15f3:ffff:ffff:ffff |
| 245 | 2c19:dd:ec00:c25:15f4::/80 | 2c19:dd:ec00:c25:15f4:ffff:ffff:ffff |
| 246 | 2c19:dd:ec00:c25:15f5::/80 | 2c19:dd:ec00:c25:15f5:ffff:ffff:ffff |
| 247 | 2c19:dd:ec00:c25:15f6::/80 | 2c19:dd:ec00:c25:15f6:ffff:ffff:ffff |
| 248 | 2c19:dd:ec00:c25:15f7::/80 | 2c19:dd:ec00:c25:15f7:ffff:ffff:ffff |
| 249 | 2c19:dd:ec00:c25:15f8::/80 | 2c19:dd:ec00:c25:15f8:ffff:ffff:ffff |
| 250 | 2c19:dd:ec00:c25:15f9::/80 | 2c19:dd:ec00:c25:15f9:ffff:ffff:ffff |
| 251 | 2c19:dd:ec00:c25:15fa::/80 | 2c19:dd:ec00:c25:15fa:ffff:ffff:ffff |
| 252 | 2c19:dd:ec00:c25:15fb::/80 | 2c19:dd:ec00:c25:15fb:ffff:ffff:ffff |
| 253 | 2c19:dd:ec00:c25:15fc::/80 | 2c19:dd:ec00:c25:15fc:ffff:ffff:ffff |
| 254 | 2c19:dd:ec00:c25:15fd::/80 | 2c19:dd:ec00:c25:15fd:ffff:ffff:ffff |
| 255 | 2c19:dd:ec00:c25:15fe::/80 | 2c19:dd:ec00:c25:15fe:ffff:ffff:ffff |
| 256 | 2c19:dd:ec00:c25:15ff::/80 | 2c19:dd:ec00:c25:15ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |